


/*---------SOCIAL---------*/

.social {
   padding: 120px 10px;
   text-align: center;
   margin: 0 auto;
   h2 {
      font-family: $mainFont;
      font-weight: bold;
      font-size: 26 / $rem * 1rem;
      color: #635c73;
      text-transform: uppercase;
      margin-bottom: 35px;
      @media screen and (min-width: $mobile + 1px) {
         font-size: 42 / $rem * 1rem;
      }
      @media screen and (min-width: $tablet + 1px) {
         font-size: 54 / $rem * 1rem;
      }
   }
   p {
      font-family: $subFont;
      color: #323232;
      font-size: 14 / $rem * 1rem;
      line-height: 20px;
      text-align: center;
      @media screen and (min-width: $mobile + 1px) {
         font-size: 21 / $rem * 1rem;
      }
   }
   &__items {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      margin-top: 25px;
   }
   &__item {
      display: flex;
      align-items: center;
      border: 1px solid grey;
      border-radius: 5px;
      margin: 15px 5px;
      span {
         position: relative;
         border: none;
         border-right: 1px solid grey;
         text-align: center;
         display: flex;
         align-items: center;
         justify-content: center;
         padding: 5px 10px;
         background-color: rgb(236, 236, 236);

         svg {
            margin: 0 5px;
         }
      }
      span:hover {
         background-color: rgb(168, 167, 167);
      }
      p {
         padding: 0 10px;
      }
   }
}

/*---------adwantages--------*/

.adwantages {
   text-align: center;
   padding: 10px;

   .adwantages__items {
      display: grid;
      place-content: center;
      row-gap: 40px;
      h3 {
         margin: 0px 0 15px;
         color: #323232;

         line-height: 21px;
      }
      p {
         font-size: 14 / $rem * 1rem;
         color: #848e97;
      }
      &__item img{
         min-width: 111px; 
         max-height: 111px;    
           
      }
     
      .editor-img {
         margin-right: -10px;
         img {
            width: 100%;
            height: 100%;
           
         }
      }
   }
   h2 {
      font-weight: bold;
      font-size: 2rem;
      color: #8d81ac;
   }
}

/*---------reviews--------*/
.reviews {
   text-align: center;
   padding: 55px 15px;
   background: no-repeat url(../img/reviews-bg.jpg);
   background-position: center;
   background-size: cover;
   margin-bottom: -15px;

   h2 {
      font-weight: bold;
      font-size: 36px;
      line-height: 48px;
      color: #ffffff;
      margin-bottom: 55px;
   }
   p {
      font-family: $subFont;
      font-style: italic;
      font-weight: bold;
      color: #ffffff;
      line-height: 24px;
      margin: 33px 0 45px;
   }
   .text {
      opacity: 0;
   }
}
/*---------subscription-pricing--------*/
.subscription-pricing {
   text-align: center;
   padding: 75px 0px;
   background: no-repeat url(../img/reviews-bg.jpg);
   background-size: cover;
   h2 {
      font-weight: bold;
      font-size: 28 / $rem * 1rem;
      line-height: 42px;
      color: #ffffff;
      margin-bottom: 50px;
   }
   &__items {
      display: flex;
      flex-wrap: wrap;      
      flex: 1 1 auto;
      justify-content: space-around;
      align-content: space-between;
      margin: 15px 0;
     
   }
   &__item {
      min-width: 215px;
      mix-blend-mode: normal;     
      color: #ffffff;
      height: 457px;
      margin: 20px 15px;
      span{
         display: block;
      }
   }
   &__item.accented {
      transform: scale(1.15, 1.05);
     
      .name::before {
         opacity: 0.25;
         mix-blend-mode: normal;
         background: #000000;
         z-index: -1;
      }
      .price::before {
         background-color: #463048;
         mix-blend-mode: normal;
         opacity: 0.89;
         z-index: -1;
      }
   }

   .name {
      position: relative;
      font-size: 22px;
      line-height: 26px;
      padding: 40px 0px;     
     text-transform: uppercase;
   }
   .name::before {
      position: absolute;
      content: "";
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      background-color: #ffffff;
      mix-blend-mode: normal;
      opacity: 0.1;
   }
   .price {
      padding: 0 5px;
      position: relative;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: space-evenly;
      height: 75%;
      
      .decor {
         width: 60px;
         height: 5px;
         background: #8d81ac;
      }

      > :first-child {
         font-size: 60.1837px;
         line-height: 62px;
         padding-bottom: 15px;
         
      }
      .subscription-adwantages {
         line-height: 28px;
      }
      button {
         margin-top: 25px;
         padding: 15px 40px;
         position: relative;
         color: inherit;
         outline: none;
         border: 0;
         background: transparent;
      }
      button::before {
         position: absolute;
         content: "";
         left: 0;
         top: 0;
         width: 100%;
         height: 100%;
         background-color: #ffffff;
         mix-blend-mode: normal;
         opacity: 0.15;
         border-radius: 50px;
      }
   }
   .price::before {
      position: absolute;
      content: "";
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      background-color: #ffffff;
      mix-blend-mode: normal;
      opacity: 0.15;
   }
}

@media screen and (min-width: $mobile + 1px) {
   .adwantages {
      h2 {
         font-size: 42 / $rem * 1rem;
      }

      &__items {
         
         .editor-img {
            margin-right: -10px;
         }
         h3 {
            margin-top: 0;
            font-size: 1rem;
         }
         p {
            font-size: 14 / $rem * 1rem;
            color: #848e97;
         }
      }
      &__item {
         text-align: left;
         display: flex;
         align-items: flex-start;
         img {
            margin-right: 20px;
            min-width: 111px;
           max-height: 111px;
            object-fit: none;
         }
      }
   }
   .reviews {
      h2 {
         font-size: 42 / $rem * 1rem;
      }
      &__items {
         display: grid;
         grid-template-columns: repeat(2, 1fr);
         column-gap: 3rem;
         place-items: end;
      }
      .text {
         position: relative;
         opacity: 1;
         font-size: 14px;
         line-height: 21px;
         color: #a291a5;
         text-align: center;
         font-style: normal;
         font-weight: normal;
      }
      .text::after {
         content: "";
         background: #645766;
         mix-blend-mode: normal;
         opacity: 0.2;
         height: 2px;
         width: 100%;
         position: absolute;
         left: 0;
         bottom: -25px;
      }
   }
   .subscription-pricing {
      &__items {
        display: grid;
        grid-template-columns:repeat(2,minmax(210px, 257px));
        gap: 15px;
        padding: 10px;
      }
      &__item{
         margin:0;
      }
      &__item.accented {
         transform: scale(1.09, 1.05);
      }
   }
}

@media screen and (min-width: $tablet + 1px) {
   .adwantages {
      h2 {
         font-size: 48 / $rem * 1rem;
         grid-column: 2;
         margin: 0;
      }
      &__items {
         grid-template-columns: repeat(2, 1fr);
         grid-template-rows: repeat(4, auto);

         .editor-img {
            margin-right: 0;
            grid-column: 2 / span 1;
            grid-row: 2 / span 3;
         }
         h3 {
            margin-top: 0;
            font-size: 1rem;
         }
         p {
            font-size: 14 / $rem * 1rem;
            color: #848e97;
         }
      }
      &__item {
         grid-column: 1;
         display: flex;
         align-items: flex-start;
         img {
            margin-right: 20px;
            min-width: 111px;
            flex: 1 1 auto;
            object-fit: none;
            object-position: top;
         }
      }
      &__item:first-of-type {
         grid-row: 1;
      }
   }
   .reviews {
      h2 {
         font-size: 48 / $rem * 1rem;
      }
      &__items {
         grid-template-columns: repeat(3, 1fr);
      }
      .text {
         margin: 0 auto;
         width: 70%;
        
      }
      .text::after {
         content: "";
         background-color: #645766;
         height: 2px;
         width: 780px;
         position: absolute;
         left: 50%;
         bottom: -25px;
         transform: translateX(-50%);
      }
   }
   .subscription-pricing {
      &__items {
         grid-template-columns:repeat(4,minmax(210px, 257px));
      }
      &__item.accented {
         transform: scale(1.1, 1.15);
      }
   }
  
}